Prepare Domain Connect launch URL
Builds a signed Cloudflare Domain Connect launch URL for one-click DNS setup when the detected DNS provider supports the Happy Uptime status-page template. Requires a paid plan.
POST
/status-pages/{id}/custom-domain/domain-connect
Builds a signed Cloudflare Domain Connect launch URL for one-click DNS setup when the detected DNS provider supports the Happy Uptime status-page template. Requires a paid plan.
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Request Body required
application/jsondomain
string
REQUIRED
Custom domain hostname (e.g. status.yourdomain.com)
Responses
200
Signed launch URL and Domain Connect metadata
No response body
403
Plan upgrade required
422
Domain Connect is unavailable for this domain or provider
curl -X POST 'https://happyuptime.com/api/v1/status-pages/string/custom-domain/domain-connect' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"domain": "string"
}'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string/custom-domain/domain-connect', {
method: 'POST',
headers: {
"Authorization": "Bearer YOUR_API_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"domain": "string"
})
});
const data = await response.json();
console.log(data);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN'
}
response = requests.post('https://happyuptime.com/api/v1/status-pages/string/custom-domain/domain-connect', headers=headers, json={
"domain": "string"
})
print(response.json())
POST
/status-pages/{id}/custom-domain/domain-connect